#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m;
    long long res=0;
    cin>>n>>m;
    int a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];

    for(int i=0;i<m;i++){
        int x,y;
        cin>>x>>y;
        res += max(a[x-1]+a[y-1],-a[x-1]-a[y-1]);
    }
    cout << res << endl;
    return 0;
}